aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2010-09-22 15:30:42 +1000
committerAndrew Gerrand <adg@golang.org>2010-09-22 15:30:42 +1000
commitb7cb844ac814f8c7730a345fdf4d1f0a9b13da40 (patch)
tree7c13449281e1af7a86d2e3de6fe92bf4ecbb01b4 /src/run.bash
parent96d6f9dea432849f141b37a6e15bd511b6cab0b0 (diff)
downloadgo-b7cb844ac814f8c7730a345fdf4d1f0a9b13da40.tar.xz
build: make all.bash run on Ubuntu ARM
Sent from my phone. R=adg CC=golang-dev https://golang.org/cl/2192049
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash3
1 files changed, 3 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index 304b3e9f5a..4341d9da6e 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -59,6 +59,7 @@ fi
GOMAXPROCS=10 gomake test
) || exit $?
+[ "$GOARCH" == arm ] ||
(xcd cmd/gofmt
if $rebuild; then
gomake clean;
@@ -75,6 +76,7 @@ fi
time gomake test
) || exit $?
+[ "$GOARCH" == arm ] ||
(xcd ../misc/cgo/stdio
if [[ $(uname | tr A-Z a-z | sed 's/mingw/windows/') != *windows* ]]; then
gomake clean
@@ -93,6 +95,7 @@ if [[ $(uname | tr A-Z a-z | sed 's/mingw/windows/') != *windows* ]]; then
fi
) || exit $?
+[ "$GOARCH" == arm ] ||
(xcd ../test/bench
if [[ $(uname | tr A-Z a-z | sed 's/mingw/windows/') != *windows* ]]; then
./timing.sh -test